> ## Documentation Index
> Fetch the complete documentation index at: https://docs.joyfill.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search all documents

> Search, filer and sort documents



## OpenAPI

````yaml post /documents/search
openapi: 3.1.0
info:
  title: joyfill
  version: '1.1'
servers:
  - url: https://api-joy.joyfill.io/v1
security:
  - sec0: []
paths:
  /documents/search:
    post:
      summary: Search all documents
      description: Search, filer and sort documents
      operationId: search-all-documents
      parameters:
        - name: Authorization
          in: header
          description: >-
            Supports both API Key and User Access Token authorization. See
            https://joyfill.mintlify.app/api/authentication
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                limit:
                  type: integer
                  description: >-
                    A limit on the number of objects to be returned. Limit can
                    range between 1 and 100, and the default is 25.
                  default: 25
                  format: int32
                page:
                  type: integer
                  description: >-
                    An integer for use with pagination. For instance, if limit
                    is set to 25 and you set page to 2 then results 26-50 will
                    be returned.
                  default: 1
                  format: int32
                query:
                  type: object
                  description: >-
                    See Joyfill's [Search Query
                    Syntax](https://dash.readme.com/project/joyfill/v1.1/docs/platform-api-search)
                  properties: {}
                sort:
                  type: object
                  description: >-
                    See Joyfill's [Search Sort
                    Syntax](https://dash.readme.com/project/joyfill/v1.1/docs/platform-api-search)
                  properties: {}
      responses:
        '200':
          description: '200'
          content:
            text/plain:
              examples:
                Result:
                  value: |-
                    {
                      "data": [Object, Object, ...]
                    }
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "message": "Not Found"
                    }
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not Found
      deprecated: false
      security: []
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````